Critical issue with Version 5.3.0 & 5.3.1

Please note that if you are currently experiencing crashes in-game, you should ensure that you have updated your version to 5.3.3.

You can tell if your version is 5.3.3 because the number will appear at the top of the screen when booting the game.

5.3.0 and 5.3.1 have known crash issues which have been fixed.

If you are still encountering crashes on 5.3.3, please contact support.

1 Like